## org.eclipse.datatools.connectivity.db.generic
Class JDBCConnectionFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnectionFactory
          org.eclipse.datatools.connectivity.db.generic.JDBCConnectionFactory

All Implemented Interfaces:
  IConnectionFactory

Direct Known Subclasses:
  HSQLDBJDBCConnectionFactory, SQLITEJDBCConnectionFactory

    public class JDBCConnectionFactory

extends JDBCConnectionFactory

`org.eclipse.datatools.connectivity.IConnectionFactory` for creating `java.sql.Connection` connections. To use this class in a custom DB connection profile, you must make sure your profile contains the following properties from `org.eclipse.datatools.connectivity.db.generic.IDBConnectionProfileConstants`: DRIVER_CLASS_PROP_ID, URL_PROP_ID, as well as `org.eclipse.datatools.connectivity.ConnectionProfileConstants.PROP_DRIVER_DEFINITION_ID`. The following properties from `org.eclipse.datatools.connectivity.db.generic.IDBConnectionProfileConstants` are optional: USERNAME_PROP_ID, PASSWORD_PROP_ID, CONNECTION_PROPERTIES_PROP_ID

Author:
  rcernich Created on Oct 17, 2005

Constructor Summary
`JDBCConnectionFactory()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnectionFactory
`createConnection, createConnection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCConnectionFactory

    public JDBCConnectionFactory()